## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate cranelift-entity

Name:           rust-%{crate}
Version:        0.82.3
Release:        %autorelease
Summary:        Data structures using entity references as mapping keys

# Upstream license specification: Apache-2.0 WITH LLVM-exception
License:        ASL 2.0
URL:            https://crates.io/crates/cranelift-entity
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Data structures using entity references as mapping keys.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+enable-serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+enable-serde-devel %{_description}

This package contains library source intended for building other packages which
use the "enable-serde" feature of the "%{crate}" crate.

%files       -n %{name}+enable-serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that don't work in release mode - presumably caused by
#   different behaviour on integer overflow (wrap-around instead of panic)
%cargo_test -- -- --skip entity::cannot_construct_from_reserved
%endif

%changelog
* Wed Apr 13 2022 Fabio Valentini <decathorpe@gmail.com> 0.82.3-1
- Update to version 0.82.3; Fixes RHBZ#2051769

* Thu Feb 03 2022 Fabio Valentini <decathorpe@gmail.com> 0.80.0-1
- Update to version 0.80.0; Fixes RHBZ#2050425

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.77.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 21 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.77.0-1
- Update to upstream 0.77.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.75.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 10 21:00:25 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.75.0-1
- Update to upstream 0.75.0

* Sat May 22 14:10:13 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.74.0-1
- Update to 0.74.0 - Security fix GHSA-hpqh-2wqx-7qp5

* Wed May 12 11:24:53 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.73.0-1
- Initial package

